12345678910111213141516171819202122232425262728293031 |
- #!/bin/bash
- # google.test
- server=www.google.com
- [ ! -x ./examples/client/client ] && echo -e "\n\nClient doesn't exist" && exit 1
- if ! ./examples/client/client -V | grep -q 3; then
- echo 'skipping google.test because TLS1.2 is not available.' 1>&2
- exit 77
- fi
- # is our desired server there?
- ./scripts/ping.test $server 2
- RESULT=$?
- [ $RESULT -ne 0 ] && exit 0
- # client test against the server
- ./examples/client/client -X -C -h $server -p 443 -g -d
- RESULT=$?
- [ $RESULT -ne 0 ] && echo -e "\n\nClient connection failed" && exit 1
- if ./examples/client/client -V | grep -q 4; then
- # client test against the server using TLS v1.3
- ./examples/client/client -v 4 -X -C -h $server -p 443 -g -d
- RESULT=$?
- [ $RESULT -ne 0 ] && echo -e "\n\nTLSv1.3 Client connection failed" && exit 1
- fi
- exit 0
|